System.Data 2.0.0.0 System.Enum

The enumeration is referenced by an instance of the class.

This enumeration provides additional information about the different notifications that can be received by the dependency event handler.

- Field
  System.Data.SqlClient.SqlNotificationInfo

  The SqlDependency object already fired, and new commands cannot be added to it.

  2.0.0.0
- Field
  System.Data.SqlClient.SqlNotificationInfo

  An underlying server object related to the query was modified.

  2.0.0.0
- Field
  System.Data.SqlClient.SqlNotificationInfo

  Data was changed by a DELETE statement.

  2.0.0.0
- Field
  System.Data.SqlClient.SqlNotificationInfo

  An underlying object related to the query was dropped.

  2.0.0.0
- Field
  System.Data.SqlClient.SqlNotificationInfo

  An internal server error occurred.

  2.0.0.0
- Field
  2.0.0.0
  System.Data.SqlClient.SqlNotificationInfo

  The SqlDependency object has expired.

- Field
  System.Data.SqlClient.SqlNotificationInfo

  Data was changed by an INSERT statement.

  2.0.0.0
- Field
  System.Data.SqlClient.SqlNotificationInfo

  A statement was provided that cannot be notified (for example, an UPDATE statement).

  2.0.0.0
- Field
  System.Data.SqlClient.SqlNotificationInfo

  The statement was executed under an isolation mode that was not valid (for example, Snapshot).

  2.0.0.0
- Field
  System.Data.SqlClient.SqlNotificationInfo

  The SET options were not set appropriately at subscription time.

  2.0.0.0
- Field
  2.0.0.0
  System.Data.SqlClient.SqlNotificationInfo

  A previous statement has caused query notifications to fire under the current transaction.

- Field
  System.Data.SqlClient.SqlNotificationInfo

  A SELECT statement that cannot be notified or was provided.

  2.0.0.0
- Field
  2.0.0.0
  System.Data.SqlClient.SqlNotificationInfo

  Fires as a result of server resource pressure.

- Field
  System.Data.SqlClient.SqlNotificationInfo

  The server was restarted (notifications are sent during restart.).

  2.0.0.0
- Field
  2.0.0.0
  System.Data.SqlClient.SqlNotificationInfo

  The subscribing query causes the number of templates on one of the target tables to exceed the maximum allowable limit.

- Field
  System.Data.SqlClient.SqlNotificationInfo

  One or more tables were truncated.

  2.0.0.0
- Field
  2.0.0.0
  System.Data.SqlClient.SqlNotificationInfo

  Used when the info option sent by the server was not recognized by the client.

- Field
  System.Data.SqlClient.SqlNotificationInfo

  Data was changed by an UPDATE statement.

  2.0.0.0